# BlisVariable Class Reference

`#include <BlisVariable.h>`

Inheritance diagram for BlisVariable:
[legend]
Collaboration diagram for BlisVariable:
[legend]

List of all members.

## Public Member Functions
| BlisVariable ()
| BlisVariable (double obj, int s, const int *ind, const double *val)
| BlisVariable (double lbh, double ubh, double lbs, double ubs)
| BlisVariable (double lbh, double ubh, double lbs, double ubs, double obj, int s, const int *ind, const double *val)
virtual | ~BlisVariable ()
virtual AlpsReturnStatus | encode (AlpsEncoded *encoded)
| Pack to a encode object.
virtual AlpsKnowledge * | decode (AlpsEncoded &encoded) const
| Decode a variable from an encoded object.
| BlisVariable ()
| BlisVariable (double obj, int s, const int *ind, const double *val)
| BlisVariable (double lbh, double ubh, double lbs, double ubs)
| BlisVariable (double lbh, double ubh, double lbs, double ubs, double obj, int s, const int *ind, const double *val)
virtual | ~BlisVariable ()
virtual AlpsReturnStatus | encode (AlpsEncoded *encoded)
| Pack to a encode object.
virtual AlpsKnowledge * | decode (AlpsEncoded &encoded) const
| Decode a variable from an encoded object.
int | getSize () const
| Return data.
int * | getIndices () const
| Return data.
double * | getValues ()
| Return data.
void | setData (int s, const int *ind, const double *val)
| Set data.
double | getObjCoef ()
| Return data.
int | getSize () const
| Return data.
int * | getIndices () const
| Return data.
double * | getValues ()
| Return data.
void | setData (int s, const int *ind, const double *val)
| Set data.
void | setObjCoef (double coef)
| Return data.
## Protected Member Functions
AlpsReturnStatus | encodeBlis (AlpsEncoded *encoded)
| Pack Blis part into an encoded object.
AlpsReturnStatus | decodeBlis (AlpsEncoded &encoded)
| Unpack Blis part from a encode object.
AlpsReturnStatus | encodeBlis (AlpsEncoded *encoded)
| Pack Blis part into an encoded object.
AlpsReturnStatus | decodeBlis (AlpsEncoded &encoded)
| Unpack Blis part from a encode object.
## Private Attributes
double | objCoef_
int | size_
int * | indices_
double * | values_

## Detailed Description

Definition at line 31 of file BlisVariable.h.

## Constructor & Destructor Documentation

BlisVariable::BlisVariable | ( |  | ) | `[inline]`

Definition at line 42 of file BlisVariable.h.

BlisVariable::BlisVariable | ( | double | obj,
|  | int | s,
|  | const int * | ind,
|  | const double * | val |
| ) |  |  | `[inline]`

Definition at line 44 of file BlisVariable.h.

BlisVariable::BlisVariable | ( | double | lbh,
|  | double | ubh,
|  | double | lbs,
|  | double | ubs |
| ) |  |  | `[inline]`

Definition at line 54 of file BlisVariable.h.

BlisVariable::BlisVariable | ( | double | lbh,
|  | double | ubh,
|  | double | lbs,
|  | double | ubs,
|  | double | obj,
|  | int | s,
|  | const int * | ind,
|  | const double * | val |
| ) |  |  | `[inline]`

Definition at line 61 of file BlisVariable.h.

virtual BlisVariable::~BlisVariable | ( |  | ) | `[inline, virtual]`

Definition at line 74 of file BlisVariable.h.

BlisVariable::BlisVariable | ( |  | ) | `[inline]`

Definition at line 42 of file BlisVariable.h.

BlisVariable::BlisVariable | ( | double | obj,
|  | int | s,
|  | const int * | ind,
|  | const double * | val |
| ) |  |  | `[inline]`

Definition at line 44 of file BlisVariable.h.

BlisVariable::BlisVariable | ( | double | lbh,
|  | double | ubh,
|  | double | lbs,
|  | double | ubs |
| ) |  |  | `[inline]`

Definition at line 54 of file BlisVariable.h.

BlisVariable::BlisVariable | ( | double | lbh,
|  | double | ubh,
|  | double | lbs,
|  | double | ubs,
|  | double | obj,
|  | int | s,
|  | const int * | ind,
|  | const double * | val |
| ) |  |  | `[inline]`

Definition at line 61 of file BlisVariable.h.

virtual BlisVariable::~BlisVariable | ( |  | ) | `[inline, virtual]`

Definition at line 74 of file BlisVariable.h.

## Member Function Documentation

int BlisVariable::getSize | ( |  | ) | const`[inline]`

Return data.

Definition at line 83 of file BlisVariable.h.

int* BlisVariable::getIndices | ( |  | ) | const`[inline]`

Return data.

Definition at line 84 of file BlisVariable.h.

double* BlisVariable::getValues | ( |  | ) | `[inline]`

Return data.

Definition at line 85 of file BlisVariable.h.

void BlisVariable::setData | ( | int | s,
|  | const int * | ind,
|  | const double * | val |
| ) |  |  | `[inline]`

Set data.

Definition at line 90 of file BlisVariable.h.

AlpsReturnStatus BlisVariable::encodeBlis | ( | AlpsEncoded * | encoded | ) | `[inline, protected]`

Pack Blis part into an encoded object.

Definition at line 106 of file BlisVariable.h.

AlpsReturnStatus BlisVariable::decodeBlis | ( | AlpsEncoded & | encoded | ) | `[inline, protected]`

Unpack Blis part from a encode object.

Definition at line 117 of file BlisVariable.h.

virtual AlpsReturnStatus BlisVariable::encode | ( | AlpsEncoded * | encoded | ) | `[inline, virtual]`

Pack to a encode object.

Reimplemented from BcpsObject.

Reimplemented in VrpVariable.

Definition at line 130 of file BlisVariable.h.

virtual AlpsKnowledge* BlisVariable::decode | ( | AlpsEncoded & | encoded | ) | const`[inline, virtual]`

Decode a variable from an encoded object.

Reimplemented from BcpsObject.

Reimplemented in VrpVariable.

Definition at line 140 of file BlisVariable.h.

double BlisVariable::getObjCoef | ( |  | ) | `[inline]`

Return data.

Definition at line 81 of file BlisVariable.h.

int BlisVariable::getSize | ( |  | ) | const`[inline]`

Return data.

Definition at line 82 of file BlisVariable.h.

int* BlisVariable::getIndices | ( |  | ) | const`[inline]`

Return data.

Definition at line 83 of file BlisVariable.h.

double* BlisVariable::getValues | ( |  | ) | `[inline]`

Return data.

Definition at line 84 of file BlisVariable.h.

void BlisVariable::setData | ( | int | s,
|  | const int * | ind,
|  | const double * | val |
| ) |  |  | `[inline]`

Set data.

Definition at line 89 of file BlisVariable.h.

void BlisVariable::setObjCoef | ( | double | coef | ) | `[inline]`

Return data.

Definition at line 100 of file BlisVariable.h.

AlpsReturnStatus BlisVariable::encodeBlis | ( | AlpsEncoded * | encoded | ) | `[inline, protected]`

Pack Blis part into an encoded object.

Definition at line 106 of file BlisVariable.h.

AlpsReturnStatus BlisVariable::decodeBlis | ( | AlpsEncoded & | encoded | ) | `[inline, protected]`

Unpack Blis part from a encode object.

Definition at line 119 of file BlisVariable.h.

virtual AlpsReturnStatus BlisVariable::encode | ( | AlpsEncoded * | encoded | ) | `[inline, virtual]`

Pack to a encode object.

Reimplemented from BcpsObject.

Reimplemented in VrpVariable.

Definition at line 135 of file BlisVariable.h.

virtual AlpsKnowledge* BlisVariable::decode | ( | AlpsEncoded & | encoded | ) | const`[inline, virtual]`

Decode a variable from an encoded object.

Reimplemented from BcpsObject.

Reimplemented in VrpVariable.

Definition at line 145 of file BlisVariable.h.

## Member Data Documentation

double BlisVariable::objCoef_`[private]`

Definition at line 35 of file BlisVariable.h.

int BlisVariable::size_`[private]`

Definition at line 36 of file BlisVariable.h.

int * BlisVariable::indices_`[private]`

Definition at line 37 of file BlisVariable.h.

double * BlisVariable::values_`[private]`

Definition at line 38 of file BlisVariable.h.

The documentation for this class was generated from the following files:

- /home/coin/svn-release/Blis-0.93.2/Bcps/examples/Blis/BlisVariable.h
- /home/coin/svn-release/Blis-0.93.2/Blis/src/BlisVariable.h